/*
	
	DragWindow.cpp
	
	Copyright 1995 Be Incorporated, All Rights Reserved.
	
*/

#ifndef _APPLICATION_H
#include <Application.h>
#endif

#ifndef Drag_WINDOW_H
#include "DragWindow.h"
#endif

#ifndef Drag_VIEW_H
#include "DragView.h"
#endif

void set_palette_entry (long i,rgb_color c);

DragWindow::DragWindow(BRect frame, BBitmap *bm)
	: BWindow(frame, "Drag Window", B_TITLED_WINDOW, B_NOT_RESIZABLE | B_NOT_ZOOMABLE) {
	BRect r(frame);
	r.OffsetTo (B_ORIGIN);
	DragView *v = new DragView (r, "Drag", bm);
		
	AddChild (v);
}

bool DragWindow::QuitRequested () {
	be_app->PostMessage(B_QUIT_REQUESTED);
	return(TRUE);
}
