/*
	
	DragWorld.cpp
	
	Copyright 1995 Be Incorporated, All Rights Reserved.
	
*/

#ifndef Drag_WINDOW_H
#include "DragWindow.h"
#endif
#ifndef Drag_VIEW_H
#include "DragView.h"
#endif
#ifndef Drag_WORLD_H
#include "DragWorld.h"
#endif

#ifndef _DATATYPES_H_
#include <Datatypes.h>
#endif
#ifndef EBITMAP_H
#include "EBitmap.h"
#endif

#define debug_printf(s,n) { char buf[256]; sprintf(buf, s, n); debugger(buf); }

main() {	
	DragApplication *myApplication;

	myApplication = new DragApplication ();
	myApplication->Run();
	
	delete(myApplication);
	return(0);
}

DragApplication::DragApplication() 
	: BApplication("application/x-vnd.GPC-DragWorld") {
}

DragApplication::~DragApplication() {
}

void DragApplication::ReadyToRun () {
	BRect r(10, 50, 250, 120);
	DragWindow *wind = new DragWindow (r, NULL);
	
	if (wind != NULL) {
		wind->Show ();
	}
	else {
		be_app->PostMessage (B_QUIT_REQUESTED);
	}
}
